##
1. Wstęp
==
Celem projektu było napisanie programu który symuluje ruch planet w układzie słonecznym, oraz przedstawia na wykresach niektóre z zależności.
##

2. Układ słoneczny
==
Układ Słoneczny – układ planetarny składający się ze Słońca i powiązanych z nim grawitacyjnie ciał niebieskich. Ciała te to osiem planet, 173 znanych księżyców planet, pięć planet karłowatych i miliardy (a być może nawet biliony) małych ciał Układu Słonecznego, do których zalicza się planetoidy, komety, meteoroidy i pył międzyplanetarny.
##
![](uklad.jpg)

3. Zasada działania programu
==
Symulacje Układu Słonecznego zaczynamy od wprowadzeniu
początkowych parametrów. Planety są ułożone w jednej linii i
zaczynają z tego samego kąta. Oczywiście proporcje dobrane są
tak, by było wszystko widoczne. Dodatkowo w symulacji
uwzględniono Księżyc i Pluton.
Przyjęto w programie:
Skala odległości: 1 : 17240000
Skala wielkości obiektów: 1190 : 1
Stała grawitacji dla symulacji: 6.7 * 10-4[Nm^2/kg^2]

<CENTER>
Widoki z programu:
---
| Center |
| :----: |
| ![Widok wizualizacji pozycji planet](1.png) |
| ![Odległość Ziemi od Księżyca](2.png) |
| ![Stosunek prędkości planet względem Ziemi.](3.png) |
| ![Zmiana prędkości Ziemi w czasie](4.png) |
| ![Energia potencjalna grawitacji i pozycja Ziemi względem Słońca](5.png) |
</CENTER>
##
4. Uwagi oraz problemy i ograniczenia podczas symulacji.
==
Problemy podczas symulacji i ograniczenia:

+ Program cały czas zapełnia listy, przez co po pewnym czasie zwalnia
+ Skala i proporcje musiały być dobrane tak, by dało się to pokazać, jednak stosunki odległości, prędkości i położenia są
zachowane
+ Ziemia pokryta jest teksturą, ale jej nie widać z powodu zbyt
dużej odległości
##

5. Bibliografia:
==
+ https://pl.wikipedia.org/wiki/Uk%C5%82ad_S%C5%82oneczny

+ http://www.malyindywidualista.com.pl/image.php/uklad_sloneczny.jpg?%width=805&image=/upload/articles/uklad_sloneczny.jpg
##
